## org.eclipse.datatools.sqltools.result.internal.utils
Class Messages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.datatools.sqltools.result.internal.utils.Messages

    public final class Messages

extends org.eclipse.osgi.util.NLS

Field Summary
`static java.lang.String` `OperationCommand_action_after_run`
`static java.lang.String` `OperationCommand_action_before_run`
`static java.lang.String` `OperationCommand_action_browse`
`static java.lang.String` `OperationCommand_action_create`
`static java.lang.String` `OperationCommand_action_debug`
`static java.lang.String` `OperationCommand_action_deploy`
`static java.lang.String` `OperationCommand_action_drop`
`static java.lang.String` `OperationCommand_action_edit`
`static java.lang.String` `OperationCommand_action_execute`
`static java.lang.String` `OperationCommand_action_export`
`static java.lang.String` `OperationCommand_action_extract`
`static java.lang.String` `OperationCommand_action_import`
`static java.lang.String` `OperationCommand_action_load`
`static java.lang.String` `OperationCommand_action_run`
`static java.lang.String` `OperationCommand_action_validate`
`static java.lang.String` `OperationCommand_status_critical`
`static java.lang.String` `OperationCommand_status_failed`
`static java.lang.String` `OperationCommand_status_running`
`static java.lang.String` `OperationCommand_status_started`
`static java.lang.String` `OperationCommand_status_succeeded`
`static java.lang.String` `OperationCommand_status_terminated`
`static java.lang.String` `OperationCommand_status_unknown`
`static java.lang.String` `OperationCommand_status_warning`
`static java.lang.String` `OperationCommand_unknown_action`
`static java.lang.String` `Parameter_constructor_error`
`static java.lang.String` `ResultSection_Status_ElapsedTime`
`static java.lang.String` `StatusLogger_no_bundle`
`static java.lang.String` `StatusLogger_no_bundle_1`
`static java.lang.String` `StatusLogger_possible_args`
`static java.lang.String` `StatusLogger_possible_args_1`
`static java.lang.String` `StatusTextProvider_action_type`
`static java.lang.String` `StatusTextProvider_database`
`static java.lang.String` `StatusTextProvider_operation_success`
`static java.lang.String` `StatusTextProvider_profile_name`
`static java.lang.String` `StatusTextProvider_time`
`static java.lang.String` `StatusTextProvider_update_count_complex`
`static java.lang.String` `StatusTextProvider_update_count_single`

Method Summary
`static java.lang.String` `getString(java.lang.String fieldName)` Gets a resource string by field name.

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OperationCommand_status_critical

    public static java.lang.String OperationCommand_status_critical

### OperationCommand_status_warning

    public static java.lang.String OperationCommand_status_warning

### OperationCommand_status_started

    public static java.lang.String OperationCommand_status_started

### OperationCommand_status_running

    public static java.lang.String OperationCommand_status_running

### OperationCommand_status_succeeded

    public static java.lang.String OperationCommand_status_succeeded

### OperationCommand_status_failed

    public static java.lang.String OperationCommand_status_failed

### OperationCommand_status_terminated

    public static java.lang.String OperationCommand_status_terminated

### OperationCommand_status_unknown

    public static java.lang.String OperationCommand_status_unknown

### OperationCommand_unknown_action

    public static java.lang.String OperationCommand_unknown_action

### OperationCommand_action_execute

    public static java.lang.String OperationCommand_action_execute

### OperationCommand_action_create

    public static java.lang.String OperationCommand_action_create

### OperationCommand_action_debug

    public static java.lang.String OperationCommand_action_debug

### OperationCommand_action_deploy

    public static java.lang.String OperationCommand_action_deploy

### OperationCommand_action_drop

    public static java.lang.String OperationCommand_action_drop

### OperationCommand_action_edit

    public static java.lang.String OperationCommand_action_edit

### OperationCommand_action_export

    public static java.lang.String OperationCommand_action_export

### OperationCommand_action_extract

    public static java.lang.String OperationCommand_action_extract

### OperationCommand_action_import

    public static java.lang.String OperationCommand_action_import

### OperationCommand_action_load

    public static java.lang.String OperationCommand_action_load

### OperationCommand_action_before_run

    public static java.lang.String OperationCommand_action_before_run

### OperationCommand_action_after_run

    public static java.lang.String OperationCommand_action_after_run

### OperationCommand_action_run

    public static java.lang.String OperationCommand_action_run

### OperationCommand_action_validate

    public static java.lang.String OperationCommand_action_validate

### OperationCommand_action_browse

    public static java.lang.String OperationCommand_action_browse

### StatusTextProvider_operation_success

    public static java.lang.String StatusTextProvider_operation_success

### StatusTextProvider_action_type

    public static java.lang.String StatusTextProvider_action_type

### StatusTextProvider_profile_name

    public static java.lang.String StatusTextProvider_profile_name

### StatusTextProvider_database

    public static java.lang.String StatusTextProvider_database

### StatusTextProvider_time

    public static java.lang.String StatusTextProvider_time

### StatusTextProvider_update_count_complex

    public static java.lang.String StatusTextProvider_update_count_complex

### StatusTextProvider_update_count_single

    public static java.lang.String StatusTextProvider_update_count_single

### Parameter_constructor_error

    public static java.lang.String Parameter_constructor_error

### StatusLogger_no_bundle

    public static java.lang.String StatusLogger_no_bundle

### StatusLogger_possible_args

    public static java.lang.String StatusLogger_possible_args

### StatusLogger_no_bundle_1

    public static java.lang.String StatusLogger_no_bundle_1

### StatusLogger_possible_args_1

    public static java.lang.String StatusLogger_possible_args_1

### ResultSection_Status_ElapsedTime

    public static java.lang.String ResultSection_Status_ElapsedTime

Method Detail

### getString

    public static java.lang.String getString(java.lang.String fieldName)

  Gets a resource string by field name. This is useful when the field name is constructed ad hoc.

  Parameters:
    `fieldName` -
  Returns: